//+------------------------------------------------------------------+
//|                                      Hedge Advisor Cash Grab.mq4 |
//|                                                     Steve Ensign |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Property of Steve Ensign"
#property link      ""
//#property show_inputs
#include <stdlib.mqh>
#include <WinUser32.mqh>
/*

*/

//---- input parameters
extern double Profit_Percentage=10;

int i=0;
datetime Expire_Date=D'2007.01.03 00:00';
bool result;
//+------------------------------------------------------------------+
//| expert init function                                            |
//+------------------------------------------------------------------+
int init(){
    MessageBox("This will close ALL trades when net profit including Swap equals "+DoubleToStr(Profit_Percentage,1)+" percent of the account balance of "+DoubleToStr(AccountBalance(),2)+" = "+DoubleToStr(AccountBalance()*Profit_Percentage*0.01,2),NULL,MB_OK|MB_ICONINFORMATION);


}

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+

int start()
 {
  if(TimeCurrent()>Expire_Date){
    MessageBox("This version has expired - contact StevensJunk@ComCast.net","This EA has Expired",MB_OK|MB_ICONSTOP);
    Print("This version has expired - contact StevensJunk@ComCast.net");
   return(0);
  }  

if((AccountProfit())>(Profit_Percentage*0.01*AccountBalance())){
Print("Equity=",AccountEquity()," Balance=",AccountBalance());
//  Print("Profit=",AccountProfit());
   for (i=OrdersTotal()-1;i>=0;i--){
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)){
             if (OrderType()==OP_SELL)result=OrderClose(OrderTicket(),OrderLots(),MarketInfo(OrderSymbol(),MODE_ASK),3,CLR_NONE);
             if(result!=TRUE) Print("LastError = ", GetLastError());
             if (OrderType()==OP_BUY)result=OrderClose(OrderTicket(),OrderLots(),MarketInfo(OrderSymbol(),MODE_BID),3,CLR_NONE);
             if(result!=TRUE) Print("LastError = ", GetLastError());
             if (OrderType()==OP_BUYSTOP)result=OrderDelete(OrderTicket());
             if(result!=TRUE) Print("LastError = ", GetLastError());
             if (OrderType()==OP_SELLSTOP)result=OrderDelete(OrderTicket());
             if(result!=TRUE) Print("LastError = ", GetLastError());

      }
      else Print( "Error when order select ", GetLastError());
   }
} 
}